﻿using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using TailIsland.RX;

namespace TailIsland.PetShop.StoreFront
{
    /// <summary>
    ///    エラー表示のためのWebFormです。
    /// </summary>
    public partial class Error : Page
    {
        /// <summary>
        ///    ページがロードされた時のイベント・ハンドラです。
        /// </summary>
        /// <param name="sender">イベントの送信元。</param>
        /// <param name="e">イベント。</param>
        protected void Page_Load(object sender, EventArgs e)
        {
            RXForWebForm.ExecuteEventHandler(
                delegate
                {
                    //  ポスト・バックでなければ……。
                    if (!IsPostBack)
                    {
                        //  エラー・メッセージをセッションから取得して表示します。
                        errorMessageLabel.Text = HttpUtility.HtmlEncode((string)Request.Params["ErrorMessage"]);
                    }
                });
        }
    }
}
