﻿using System;
using System.Collections.Generic;
using System.Data;

namespace TailIsland.RX
{
    internal sealed class AddedOrModifiedRowsGetter
    {
        private DataTable dataTable;

        internal AddedOrModifiedRowsGetter(DataTable dataTable)
        {
            this.dataTable = dataTable;
        }

        internal IEnumerable<DataRow> GetAddedOrModifiedRows()
        {
            foreach (DataRow dr in dataTable.Rows)
            {
                if (dr.RowState != DataRowState.Added && dr.RowState != DataRowState.Modified)
                {
                    continue;
                }

                yield return dr;
            }
        }
    }
}
