﻿using System;
using System.Configuration;
using System.Net;
using System.Web.Services.Protocols;

namespace TailIsland.RX
{
    internal sealed class ServiceAgentInitializer
    {
        private SoapHttpClientProtocol soapHttpClientProtocol;

        internal ServiceAgentInitializer(SoapHttpClientProtocol soapHttpClientProtocol)
        {
            this.soapHttpClientProtocol = soapHttpClientProtocol;
        }

        internal void InitializeServiceAgent()
        {
            soapHttpClientProtocol.Credentials = CredentialCache.DefaultCredentials;

            soapHttpClientProtocol.Url = ConfigurationManager.AppSettings[string.Format("{0}.Url", soapHttpClientProtocol.GetType().FullName)];
        }
    }
}
