﻿using System;
using System.Web.Services.Protocols;

namespace TailIsland.RX
{
    [AttributeUsage(AttributeTargets.Method)]
    public sealed class TraceSoapExtensionAttribute : SoapExtensionAttribute
    {
        private int priority;

        public override Type ExtensionType
        {
            get 
            {
                return typeof(TraceSoapExtension); 
            }
        }

        public override int Priority
        {
            get 
            { 
                return priority; 
            }
            set 
            { 
                priority = value; 
            }
        }
    }
}
