﻿using System;
using System.ComponentModel;
using System.Web;
using System.Web.Services;
using TailIsland.RX;
using TailIsland.PetShop.Retail;

namespace TailIsland.PetShop.RetailServiceInterface
{
    [WebService(Namespace = "http://tailisland.com/PetShop/RetailServiceInterface")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [ToolboxItem(false)]
    public class CategoryWebService : WebService
    {
        [WebMethod]
        public RetailDataSet Fill()
        {
            RetailDataSet ds = new RetailDataSet();

            RXForWebService.ExecuteWebService(
                delegate
                {
                    Category.Fill(ds);
                });

            return ds;
        }
    }
}
