﻿<%@ Page Language="C#" MasterPageFile="~/Resources/StoreFrontMaster.Master" AutoEventWireup="true" CodeBehind="ProductsWebForm.aspx.cs" Inherits="TailIsland.PetShop.StoreFront.Catalog.ProductsWebForm" Title="商品一覧" %>

<asp:Content ID="content" ContentPlaceHolderID="contentPlaceHolder" runat="server">
    <table border="0px" cellpadding="4px" cellspacing="0px" style="width: 100%;">
        <thead>
            <tr>
                <th colspan="2" style="background-color: #888888; color: #ffffff;">カテゴリー「<asp:Label ID="categoryNameLabel" Text="<%# HttpUtility.HtmlEncode(RetailDataSet.Category[0].Name) %>" runat="server" />」の商品一覧</th> 
            </tr>
        </thead>  
        <tbody>
            <asp:Repeater ID="productRepeater" DataSource="<%# RetailDataSet %>" DataMember="Product" OnItemCommand="productRepeater_ItemCommand" runat="server">
                <ItemTemplate>
                    <tr>
                        <td rowspan="2" style="width: 125px;">
                            <asp:LinkButton ID="productPhotographLinkButton" CommandName="Select" CommandArgument='<%# HttpUtility.HtmlEncode(Eval("Identity", "{0}")) %>' runat="server">
                                <asp:Image ID="productPhotographImage" AlternateText='<%# HttpUtility.HtmlEncode(Eval("Name", "{0}")) %>' ImageUrl='<%# HttpUtility.HtmlEncode(string.Format("../Catalog/PhotographWebForm.aspx?photographNumber={0}", HttpUtility.UrlEncode(Eval("PhotographNumber", "{0}")))) %>' runat="server" />
                            </asp:LinkButton>
                        </td> 
                        <td style="vertical-align: bottom; width: 467px;">
                            <asp:LinkButton ID="productNameLinkButton" CommandName="Select" CommandArgument='<%# HttpUtility.HtmlEncode(Eval("Identity", "{0}")) %>' Text='<%# HttpUtility.HtmlEncode(Eval("Name", "{0}")) %>' runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td style="vertical-align: top;">
                            <asp:Label ID="productDescriptionLabel" Text='<%# HttpUtility.HtmlEncode(Eval("Description", "{0}")) %>' runat="server" />
                        </td>
                    </tr> 
                </ItemTemplate> 
            </asp:Repeater>
        </tbody>  
    </table>
</asp:Content>
