﻿using System;
using System.Data;

namespace TailIsland.RX
{
    internal sealed class DataRowDeleter
    {
        private DataRow dataRow;

        internal DataRowDeleter(DataRow dataRow)
        {
            this.dataRow = dataRow;
        }

        internal void DeleteDataRow()
        {
            foreach (DataRelation dre in dataRow.Table.ChildRelations)
            {
                foreach (DataRow dro in dataRow.GetChildRows(dre))
                {
                    new DataRowDeleter(dro).DeleteDataRow();
                }
            }

            dataRow.Delete();
        }
    }
}
