﻿using System;
using System.Text;
using System.Web.Services.Protocols;

namespace TailIsland.RX
{
    internal sealed class SoapContentTypeCreator
    {
        private SoapProtocolVersion soapProtocolVersion;
        private Encoding encoding;

        internal SoapContentTypeCreator(SoapProtocolVersion soapProtocolVersion, Encoding encoding)
        {
            this.soapProtocolVersion = soapProtocolVersion;
            this.encoding = encoding;
        }

        internal string CreateSoapContentType()
        {
            return string.Format("{0}; charset={1}", soapProtocolVersion == SoapProtocolVersion.Soap11 ? "text/xml" : "application/soap+xml", encoding.WebName);
        }
    }
}
