﻿using System;
using System.Data;

namespace TailIsland.RX
{
    internal sealed class WhenDBConcurrencyExceptionRetrier
    {
        private Procedure procedure;

        internal WhenDBConcurrencyExceptionRetrier(Procedure procedure)
        {
            this.procedure = procedure;
        }

        internal void RetryWhenDBConcurrencyException()
        {
            bool b;

            do
            {
                try
                {
                    procedure();
                    b = false;
                }
                catch (DBConcurrencyException)
                {
                    b = true;
                }
            }
            while (b);
        }
    }
}
